tnef_1.4.9-1+deb8u3build0.16.04.1_i386.deb


Advertisement

Description

tnef - Tool to unpack MIME application/ms-tnef attachments

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Updates Universe i386
Package filename tnef_1.4.9-1+deb8u3build0.16.04.1_i386.deb
Package name tnef
Package version 1.4.9
Package release 1+deb8u3build0.16.04.1
Package architecture i386
Package type deb
Category universe/text
Homepage http://sourceforge.net/projects/tnef
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 33.85 KB
Installed size 92.00 KB
TNEF is a program for unpacking MIME attachments of type
"application/ms-tnef". This is typcially a Microsoft only attachment.
The TNEF program allows one to unpack the attachments which were
encapsulated into the TNEF attachment, thus alleviating the need to use
Microsoft Outlook to view the attachment.

Alternatives

Package Version Architecture Repository
tnef_1.4.9-1+deb8u3build0.16.04.1_amd64.deb 1.4.9 amd64 Ubuntu Updates Universe
tnef_1.4.9-1_i386.deb 1.4.9 i386 Ubuntu Universe
tnef_1.4.9-1_amd64.deb 1.4.9 amd64 Ubuntu Universe
tnef - - -

Requires

Name Value
libc6 >= 2.4

Download

Type URL
Mirror archive.ubuntu.com
Binary Package tnef_1.4.9-1+deb8u3build0.16.04.1_i386.deb
Source Package tnef

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install tnef deb package:
    # sudo apt-get install tnef

Files

Path
/usr/bin/tnef
/usr/lib/mime/packages/tnef
/usr/share/doc/tnef/FAQ
/usr/share/doc/tnef/NEWS.gz
/usr/share/doc/tnef/TODO
/usr/share/doc/tnef/changelog.Debian.gz
/usr/share/doc/tnef/copyright
/usr/share/doc/tnef/file-format.tex.gz
/usr/share/man/man1/tnef.1.gz

Changelog

2017-06-14 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
tnef (1.4.9-1+deb8u3build0.16.04.1) xenial-security; urgency=medium
* fake sync from Debian
2017-05-29 - Thorsten Alteholz <debian@alteholz.de>
tnef (1.4.9-1+deb8u3) jessie-security; urgency=high
* Non-maintainer upload by the Wheezy LTS Team. 
* CVE-2017-8911 (Closes: #862442)
An integer underflow has been identified in the unicode_to_utf8()
function in tnef 1.4.14. This might lead to invalid write
operations, controlled by an attacker.
2017-03-24 - Thorsten Alteholz <debian@alteholz.de>
tnef (1.4.9-1+deb8u2) jessie-security; urgency=high
* Non-maintainer upload by the Wheezy LTS Team. 
* while fixing the CVEs, upstream introduced a regression
fix-regression-1.patch and fix-regression-2.patch take care of
that (Closes: #857342)
2017-02-27 - Thorsten Alteholz <debian@alteholz.de>
tnef (1.4.9-1+deb8u1) jessie-security; urgency=high
* Non-maintainer upload by the Wheezy LTS Team. (Closes: #856117)
* CVE-2017-6307
An issue was discovered in tnef before 1.4.13. Two OOB Writes have 
been identified in src/mapi_attr.c:mapi_attr_read(). These might 
lead to invalid read and write operations, controlled by an attacker.
* CVE-2017-6308
An issue was discovered in tnef before 1.4.13. Several Integer 
Overflows, which can lead to Heap Overflows, have been identified 
in the functions that wrap memory allocation. 
* CVE-2017-6309
An issue was discovered in tnef before 1.4.13. Two type confusions 
have been identified in the parse_file() function. These might lead 
to invalid read and write operations, controlled by an attacker.
* CVE-2017-6310
An issue was discovered in tnef before 1.4.13. Four type confusions 
have been identified in the file_add_mapi_attrs() function.
These might lead to invalid read and write operations, controlled 
by an attacker. 
2012-04-27 - Kevin Coyner <kcoyner@debian.org>
tnef (1.4.9-1) unstable; urgency=low
* New upstream release. 
* Simplified debian/rules.
2012-04-27 - Kevin Coyner <kcoyner@debian.org>
tnef (1.4.8-2) unstable; urgency=low
* Bump Standards-Version to 3.9.3 in debian/control. No changes.
* Removed unneeded option in debian/rules and fixes FTBFS. (Closes: #666358)
2011-04-19 - Kevin Coyner <kcoyner@debian.org>
tnef (1.4.8-1) unstable; urgency=low
* New upstream release. 
* debian/control:
+ Add Build-Depends on quilt.
+ Bump debhelper to 8.
+ Bump Standards-Version to 3.9.1. No changes.
* Update debian/copyright to be machine readable.
* Bump debian/compat to 8.
* Add patch to fix man page. (Closes: #619895). Thanks to Pietro Battiston.
* Add README.source.
2010-02-11 - Kevin Coyner <kcoyner@debian.org>
tnef (1.4.7-1) unstable; urgency=low
* New upstream release. 
* Updated Standards-Version to 3.8.4. No changes.
* debian/control:
+ Add ${misc:Depends} to debian/control.
+ Updated debhelper version to 7.4~.
* debian/compat updated from 5 to 7.
* Changed dh_clean -k to dh_prep in debian/rules.
* Update debian/copyright to reflect changes in author's dates.
2009-10-05 - Kevin Coyner <kcoyner@debian.org>
tnef (1.4.6-1) unstable; urgency=low
* New upstream release. 
* Updated Standards-Version to 3.8.3. No changes.
* Small cleanup of debian/copyright.
2008-10-04 - Kevin Coyner <kcoyner@debian.org>
tnef (1.4.5-1) unstable; urgency=low
* New upstream release (Closes: 457382)
* debian/control
+ Moved Homepage from long description to its own field.
+ Updated Standards-Version to 3.8.0
+ Removed obsolete lines in long description (Closes: #501011)
* Converted file encoding of debian/copyright from ISO-8859 to UTF-8.

See Also

Package Description
tomcat7-admin_7.0.68-1ubuntu0.4_all.deb Servlet and JSP engine -- admin web applications
tomcat7-common_7.0.68-1ubuntu0.4_all.deb Servlet and JSP engine -- common files
tomcat7-docs_7.0.68-1ubuntu0.4_all.deb Servlet and JSP engine -- documentation
tomcat7-examples_7.0.68-1ubuntu0.4_all.deb Servlet and JSP engine -- example web applications
tomcat7-user_7.0.68-1ubuntu0.4_all.deb Servlet and JSP engine -- tools to create user instances
tomcat7_7.0.68-1ubuntu0.4_all.deb Servlet and JSP engine
tomcat8-user_8.0.32-1ubuntu1.10_all.deb Apache Tomcat 8 - Servlet and JSP engine -- tools to create user instances
tor-geoipdb_0.2.9.14-1ubuntu1~16.04.3_all.deb GeoIP database for Tor
tor_0.2.9.14-1ubuntu1~16.04.3_i386.deb anonymizing overlay network for TCP
tracker-extract_1.6.2-0ubuntu1.1_i386.deb metadata database, indexer and search tool - metadata extractors
tracker-gui_1.6.2-0ubuntu1.1_i386.deb metadata database, indexer and search tool - GNOME frontends
tracker-miner-fs_1.6.2-0ubuntu1.1_i386.deb metadata database, indexer and search tool - filesystem indexer
tracker_1.6.2-0ubuntu1.1_i386.deb metadata database, indexer and search tool
transmission_2.84-3ubuntu3.1_all.deb lightweight BitTorrent client
tre-agrep_0.8.0-4+deb8u1build0.16.04.1_i386.deb approximate grep utility based on the tre library
Advertisement
Advertisement